<?php
/**
 * Validador para una factura
*/
class FacturaBtMalagaValidador extends ValidadorPicasso {
    
    private $factura;

    public function __construct($factura) {
        $this->factura = $factura;
    }
	
	/**
	 * Implemente la validación.
	 */	
	public function validar($campoEditable) {
		$error = false;
		if ($this->factura->Servicio()->Count() == 0) {			
			$error = 'Para crear la factura se debe a&ntilde;adir un servicio';
		}
		return $error;
	}
}
?>